Bug 227414 - devel/upp: Update to 11873
Summary: devel/upp: Update to 11873
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-04-10 09:41 UTC by lightside
Modified: 2018-07-15 15:21 UTC (History)
3 users (show)

See Also:
ygy: maintainer-feedback-


Attachments
Proposed patch (since 463365 revision) (3.02 KB, patch)
2018-04-10 09:41 UTC, lightside
lightside: maintainer-approval? (m.sund)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2018-04-10 09:41:32 UTC
Created attachment 192379 [details]
Proposed patch (since 463365 revision)

Patch to update devel/upp port from 11540 to 11873 version.

Look following links for changes:
https://sourceforge.net/projects/upp/files/upp/2018.1/
https://www.ultimatepp.org/www$uppweb$Roadmap$en-us.html

- Add patch to fix CVE-2018-8740 for uppsrc/plugin/sqlite3/lib/sqlite3.c, similar to ports r465275 changes

The build was tested on FreeBSD 10.3 amd64.
Comment 1 lightside 2018-06-25 00:59:24 UTC
(In reply to comment #0)
> - Add patch to fix CVE-2018-8740 for uppsrc/plugin/sqlite3/lib/sqlite3.c,
> similar to ports r465275 changes
Just for note:
The uppsrc/plugin/sqlite3 was updated to 3.23.0 version in 11880 revision:
https://github.com/ultimatepp/mirror/commit/19cdbaaecbbd0bcffa1ab4597a62577064e59c66

Therefore, the mentioned patch can be removed after next release.
Comment 2 Fernando Apesteguía freebsd_committer 2018-06-25 18:29:58 UTC
Take
Comment 3 commit-hook freebsd_committer 2018-07-15 15:18:25 UTC
A commit references this bug:

Author: fernape
Date: Sun Jul 15 15:17:45 UTC 2018
New revision: 474697
URL: https://svnweb.freebsd.org/changeset/ports/474697

Log:
  security/vuxml: add entry for devel/upp

  Affected by CVE-2018-874

  PR:	227414
  Reported by:	lightside@gmx.com
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D16017

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2018-07-15 15:20:30 UTC
A commit references this bug:

Author: fernape
Date: Sun Jul 15 15:19:53 UTC 2018
New revision: 474699
URL: https://svnweb.freebsd.org/changeset/ports/474699

Log:
  devel/upp: update to 11873

  Maintainer timed out.

  PR:     227414
  Submitted by:   lightside@gmx.com
  Approved by:    tcberner (mentor)
  Security:	CVE-2018-8740
  Differential Revision:  https://reviews.freebsd.org/D16017

Changes:
  head/devel/upp/Makefile
  head/devel/upp/distinfo
  head/devel/upp/files/
  head/devel/upp/files/patch-uppsrc_plugin_sqlite3_lib_sqlite3.c
Comment 5 Fernando Apesteguía freebsd_committer 2018-07-15 15:21:31 UTC
Committed,

Thanks!